unit MainUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, ComCtrls, ToolWin, ImgList, ExtCtrls;

type
  TTestEditorForm = class(TForm)
    ImageList1: TImageList;
    MainMenu1: TMainMenu;
    N1: TMenuItem;
    N2: TMenuItem;
    N3: TMenuItem;
    N4: TMenuItem;
    N5: TMenuItem;
    N6: TMenuItem;
    N7: TMenuItem;
    N8: TMenuItem;
    N9: TMenuItem;
    N10: TMenuItem;
    N11: TMenuItem;
    N12: TMenuItem;
    N13: TMenuItem;
    N14: TMenuItem;
    N15: TMenuItem;
    ControlBar1: TControlBar;
    ToolBar1: TToolBar;
    NewButton: TToolButton;
    OpenButton: TToolButton;
    SaveButton: TToolButton;
    PrintButton: TToolButton;
    ToolButton9: TToolButton;
    OptionsButton: TToolButton;
    ToolButton10: TToolButton;
    HelpButton: TToolButton;
    AboutButton: TToolButton;
    ToolButton11: TToolButton;
    ExitButton: TToolButton;
    StatusBar: TStatusBar;
    procedure AboutButtonClick(Sender: TObject);
    procedure ExitButtonClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure NewButtonClick(Sender: TObject);
  private
    { Private declarations }
    procedure ShowHint(Sender: TObject);
  public
    { Public declarations }
  end;

var
  TestEditorForm: TTestEditorForm;

implementation

uses AboutUnit, NewTestWizardUnit;

{$R *.dfm}

procedure TTestEditorForm.AboutButtonClick(Sender: TObject);
begin
 AboutForm.ShowModal;
end;

procedure TTestEditorForm.ExitButtonClick(Sender: TObject);
begin
 Close;
end;

procedure TTestEditorForm.ShowHint(Sender: TObject);
begin
 StatusBar.Panels.Items[0].Text := Application.Hint;
end;

procedure TTestEditorForm.FormShow(Sender: TObject);
begin
 Application.OnHint := ShowHint;
end;

procedure TTestEditorForm.NewButtonClick(Sender: TObject);
begin
 NewTestForm.ShowModal;
end;

end.
